commit:     59a28ca6c9f70022e5ea8968ecaf32c89d6d04fc
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 15 18:05:02 2025 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Mar 16 07:40:32 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59a28ca6

dev-ruby/localhost: add 1.3.1

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/localhost/Manifest               |  1 +
 dev-ruby/localhost/localhost-1.3.1.ebuild | 42 +++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/dev-ruby/localhost/Manifest b/dev-ruby/localhost/Manifest
index f0e74a93962c..79002813afaf 100644
--- a/dev-ruby/localhost/Manifest
+++ b/dev-ruby/localhost/Manifest
@@ -1 +1,2 @@
 DIST localhost-1.3.0.tar.gz 2128850 BLAKE2B 
fe7db9958759be39107116b45ee1f8d3678a2407f25956ee551a41a18da2bb12b46add992ca2b9615b68f69156afc384c453318af5b77751095b643fb27b7344
 SHA512 
6196cf4ff79cd53c222e19158a7233b8ba384225f24fd791d92952c80b11c469e99d619c3825e0f831e99e2a822aaf69e3b3a9ed0dc2e1ad0316c8b6717165c5
+DIST localhost-1.3.1.tar.gz 2127046 BLAKE2B 
16ae987c53dba2a70ec324c7f79403d40e2b4345f92906c37b7f87814bdf8635f746823924b6c62cbeadee0565b1accd8fc340816ea5743c5e89cad4b952a755
 SHA512 
0120d58b80b0dd88f10ffcefaf67424950e77782ffc67f58144a18cb1d4fff29c4bd128fbff33e420b850a5a97c8670c945039950c59b1f448cb47bb588f5d3e

diff --git a/dev-ruby/localhost/localhost-1.3.1.ebuild 
b/dev-ruby/localhost/localhost-1.3.1.ebuild
new file mode 100644
index 000000000000..a8596467d552
--- /dev/null
+++ b/dev-ruby/localhost/localhost-1.3.1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby31 ruby32 ruby33"
+
+RUBY_FAKEGEM_EXTRADOC="readme.md"
+RUBY_FAKEGEM_GEMSPEC="localhost.gemspec"
+RUBY_FAKEGEM_RECIPE_TEST="sus"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Manage a local CA for self-signed localhost development servers"
+HOMEPAGE="https://github.com/socketry/localhost";
+SRC_URI="https://github.com/socketry/localhost/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1)"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+ruby_add_bdepend "
+       test? (
+               dev-ruby/async-io
+               dev-ruby/async-process
+               dev-ruby/sus-fixtures-async
+       )
+"
+
+all_ruby_prepare() {
+       sed -i -e 's:_relative ": "./:' ${RUBY_FAKEGEM_GEMSPEC} || die
+       sed -i -e '/covered/Id' config/sus.rb || die
+
+       # Avoid unpackaged sus-fixtures-async-http which has a huge dependency 
tree.
+       rm -f test/localhost/protocol.rb || die
+}
+
+each_ruby_test() {
+       # Tests fail in parallel as it tries to use the same port so
+       # manually replicate ruby-ng_sus for now, as ruby-ng_sus runs 
sus-parallel.
+       ${RUBY} -S sus || die
+}

Reply via email to